#include <iostream>
using namespace std;

const int LIMIT = 200;

int min(int[], int);
int max(int[], int);
int inputArraySize(int); 
void inputArray(int[], int);

int main() {

	int size = inputArraySize(LIMIT);

	int array[LIMIT];
	inputArray(array, size);

	int minEl = min(array, size);
	int maxEl = max(array, size);

	cout << "min: " << minEl << ", max: " << maxEl << endl;
	return 0;	
}

int inputArraySize(int limit) {
	
	int size;
	do {
		cout << "Input number of elements [1, " << limit << "]: ";
		cin >> size;
	} while(size < 1 || size > limit);
	return size;
}

void inputArray(int array[], int size) {

	cout << "Input all the " << size << " elements:" << endl;
	for(int i = 0; i < size; ++i) {
		cin >> array[i];
	}

}

int max(int array[], int size) {
	
	int maxEl = array[0];
	for(int i = 0; i < size; ++i) {
		if(maxEl < array[i]) {
			maxEl = array[i];
		}
	}
	return maxEl;
}

int min(int array[], int size) {
	
	int minEl = array[0];
	for(int i = 0; i < size; ++i) {
		if(minEl > array[i]) {
			minEl = array[i];
		}
	}
	return minEl;
}
